注册 登录
筛选: 全部
主题 : cocoapods安装
级别: 新手上路
UID: 202360
精华: 0
发帖: 17
可可豆: 71 CB
威望: 71 点
在线时间: 6(时)
注册时间: 2013-01-11
最后登录: 2013-10-28
0 楼:  发表于: 2013-02-25 11:03    发自: Web Page

cocoapods安装   

  • 技术问题发到问答
我下了cocoapods,新人不知道安装,想请教下,图是下的文件夹




想问下怎么安装,能说得小白一点更好,谢谢呀

图片:屏幕快照 2013-02-25 上午10.55.52.png
关键词: 文件 谢谢 安装
级别: 精灵王

状态: 连续签到 - [40天]
UID: 96411
精华: 0
发帖: 1691
可可豆: 8303 CB
威望: 8340 点
在线时间: 3945(时)
注册时间: 2011-10-07
最后登录: 2018-12-13
1 楼:  发表于: 2013-02-25 12:07    发自: Web Page
回 楼主(weir2013) 的帖子
http://www.cocoachina.com/newbie/basic/2012/1123/5168.html
减少对别人的依赖,
                                   才能告别菜鸟时代。
级别: 新手上路
UID: 202360
精华: 0
发帖: 17
可可豆: 71 CB
威望: 71 点
在线时间: 6(时)
注册时间: 2013-01-11
最后登录: 2013-10-28
2 楼:  发表于: 2013-02-25 15:38    发自: Web Page
回 1楼(下雨天、轮滑) 的帖子
那怎么用呢?先安装CocoaPods。

1、CocoaPods是跑在Ruby的软件,安装可能需要几分钟,安装命名:sudo gem install cocoapods


就是不知道这个呀,在终端里输入sudo gem install cocoapods?
安装命名是什么意思呀?我比较小白点。。。
级别: 精灵王

状态: 连续签到 - [40天]
UID: 96411
精华: 0
发帖: 1691
可可豆: 8303 CB
威望: 8340 点
在线时间: 3945(时)
注册时间: 2011-10-07
最后登录: 2018-12-13
3 楼:  发表于: 2013-02-25 15:56    发自: Web Page
回 2楼(weir2013) 的帖子

1,在终端中输入sudo gem update –system更新你的RubyGems
2,打开components界面(Xcode->Preferences->Downloads->Components)安装Command Line Tools
3,在终端中输入sudo gem install cocoapods,开始安装cocoapods
减少对别人的依赖,
                                   才能告别菜鸟时代。
级别: 精灵王

状态: 连续签到 - [7天]
UID: 8967
精华: 0
发帖: 662
可可豆: 3998 CB
威望: 3980 点
在线时间: 499(时)
注册时间: 2009-09-19
最后登录: 2018-10-30
4 楼:  发表于: 2013-03-20 16:35    发自: Web Page
貌似已经无法命令安装了,域名无法访问
级别: 新手上路

UID: 64412
精华: 0
发帖: 42
可可豆: 310 CB
威望: 330 点
在线时间: 490(时)
注册时间: 2011-04-16
最后登录: 2017-03-09
5 楼:  发表于: 2013-05-11 22:29    发自: Web Page
pod install --verbose
Oh no, an error occurred. Please run with `--verbose' and report on https://github.com/alloy/cocoapods/issues.

undefined method `pod' for #<Pod::Podfile:0x10f913df8 @platform=:ios, @dependencies=[]>
/Users/lxl/Desktop/CocoaPodsExample/Podfile:3:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:5:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `instance_eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `initialize'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:4:in `new'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:4:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/config.rb:48:in `rootspec'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/command/install.rb:40:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/command.rb:51:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/bin/pod:9
/usr/bin/pod:19:in `load'
/usr/bin/pod:19
lxltekiMacBook-Pro:CocoaPodsExample lxl$

Podfile内容:
platform :ios

pod 'AFNetworking', '0.9.1'


求解决?????
级别: 新手上路

UID: 64412
精华: 0
发帖: 42
可可豆: 310 CB
威望: 330 点
在线时间: 490(时)
注册时间: 2011-04-16
最后登录: 2017-03-09
6 楼:  发表于: 2013-05-11 22:31    发自: Web Page
搞半天了 还是没找到为啥 ?谁知道,给我个解决的方法,小弟,在此谢过了。
级别: 新手上路

UID: 64412
精华: 0
发帖: 42
可可豆: 310 CB
威望: 330 点
在线时间: 490(时)
注册时间: 2011-04-16
最后登录: 2017-03-09
7 楼:  发表于: 2013-05-11 22:36    发自: Web Page
贴个完整的操作过程Last login: Sat May 11 22:19:27 on ttys000
lxltekiMacBook-Pro:~ lxl$ sudo gem install cocoapods
Password:
To speed up load time of CocoaPods consider compiling the Ruby source files:

    $ sudo macgem install rubygems-compile
    $ sudo macgem compile cocoapods

Successfully installed cocoapods-0.2.0
1 gem installed
Installing ri documentation for cocoapods-0.2.0...
Installing RDoc documentation for cocoapods-0.2.0...
lxltekiMacBook-Pro:~ lxl$ cd desktop/CocoaPodsExample
lxltekiMacBook-Pro:CocoaPodsExample lxl$ touch Podfile
lxltekiMacBook-Pro:CocoaPodsExample lxl$ open -e Podfile
lxltekiMacBook-Pro:CocoaPodsExample lxl$ pod install --verbose
Oh no, an error occurred. Please run with `--verbose' and report on https://github.com/alloy/cocoapods/issues.

undefined method `pod' for #<Pod::Podfile:0x1086a0de8 @platform=:ios, @dependencies=[]>
/Users/lxl/Desktop/CocoaPodsExample/Podfile:3:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:5:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `instance_eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:14:in `initialize'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:4:in `new'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/podfile.rb:4:in `from_file'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/config.rb:48:in `rootspec'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/command/install.rb:40:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/lib/cocoapods/command.rb:51:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.2.0/bin/pod:9
/usr/bin/pod:19:in `load'
/usr/bin/pod:19
lxltekiMacBook-Pro:CocoaPodsExample lxl$


podfile 文件内容:
platform :ios

pod 'AFNetworking', '0.9.1'

求解决......
级别: 新手上路

UID: 64412
精华: 0
发帖: 42
可可豆: 310 CB
威望: 330 点
在线时间: 490(时)
注册时间: 2011-04-16
最后登录: 2017-03-09
8 楼:  发表于: 2013-05-12 22:55    发自: Web Page
sudo gem install cocoapods 安装的怎么不是最新的?默认不是应该安装最新的版本吗??最后我换这种方式但是有问题lxltekiMacBook-Pro:~ lxl$ sudo gem install cocoapods -v 0.19.2
Password:
ERROR:  Could not find a valid gem 'cocoapods' (= 0.19.2) in any repository
ERROR:  Possible alternatives: cocoapods
lxltekiMacBook-Pro:~ lxl$

cocoapods的最新版本不是0.19.2吗 ????我 搞成 0.19.1也是有问题 我看看我的ruby不是系统默认的版本1.8.7的我需要升级到1.9吗???不是1.8也可以吗 ?我看网上别人说的就是这样的  就是安装不了最新的版本 郁闷 。
那位大神帮帮忙。
级别: 新手上路

UID: 64412
精华: 0
发帖: 42
可可豆: 310 CB
威望: 330 点
在线时间: 490(时)
注册时间: 2011-04-16
最后登录: 2017-03-09
9 楼:  发表于: 2013-05-12 22:57    发自: Web Page
回 8楼(流浪汉_2000) 的帖子
lxltekiMacBook-Pro:~ lxl$ sudo gem install cocoapods
To speed up load time of CocoaPods consider compiling the Ruby source files:

    $ sudo macgem install rubygems-compile
    $ sudo macgem compile cocoapods

Successfully installed cocoapods-0.2.0
1 gem installed
Installing ri documentation for cocoapods-0.2.0...
Installing RDoc documentation for cocoapods-0.2.0...

CocoaChina社区转载内容已尽可能注明出处,如未能核实来源或转发内容图片有权利瑕疵的,请及时联系社区进行修改或删除【联系方式QQ : 3442093904 邮箱:support@cocoachina.com】文章内容为作者独立观点,不代表CocoaChina社区立场。版权归原作者所有,如申请授权请联系作者,因文章侵权CocoaChina社区不承担任何法律及连带责任。

描述
快速回复

关注本帖(如果有新回复会站内信通知您)

发帖、回帖都会得到可观的积分奖励。查看论坛积分规则

按"Ctrl+Enter"直接提交
    顶部